Summary: IBM Advanced System Management Drivers
Name: ibmasm
Version: 3.0
Release: 26%{?dist}
License: LGPLv2 and GPLv2+
Group: Applications/System
URL: http://ibmasm.sourceforge.net
Source0: ibmasm_user_%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires(post): /sbin/chkconfig
Requires(postun): /sbin/chkconfig
Requires(post): /sbin/service
Requires(postun): /sbin/service
Requires(post): /sbin/lspci
Requires(postun): /sbin/lspci
ExclusiveArch: %{ix86}
# The ibmasm module is only enabled for i386 because the ASM adapter was
# never shipped in machines with 64-bit support.
%description
This package contains the tools necessary to control the IBM Advanced
System Management Drivers

%package devel
Group: Development/Libraries
Summary: Development environment for the IBM Advanced System Management user-land driver
Requires: %{name} = %{version}-%{release}
%description devel
The ibmasm-devel package contains the development libraries and header files
of the IBM Advanced System Management drivers

%prep
%setup -q -n ibmasm_user_%{version}

%build
cd ibmasm/src
export CFLAGS="%{optflags}"
make %{?_smp_mflags} 

%install
rm -rf ${RPM_BUILD_ROOT}
cd ibmasm/src
make _LIB=%{_libdir} ROOT=${RPM_BUILD_ROOT} install

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
install -m 755 ../ibmasm.init ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/ibmasm
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/ibmasm
install -m 644 api/libibmasm.h ${RPM_BUILD_ROOT}%{_includedir}/ibmasm
install -m 644 api/rsa.h ${RPM_BUILD_ROOT}%{_includedir}/ibmasm

%clean
rm -rf ${RPM_BUILD_ROOT}

%post 
/sbin/ldconfig
if [ $1 = 1 ]; then
	/sbin/chkconfig --add %{name}
	/sbin/lspci -n | grep "1014:010f" > /dev/null 2>&1
	if [ $? == 0 ]; then
		/sbin/chkconfig --level 35 %{name} on
	fi
fi

%preun
if [ $1 = 0 ]; then
	/sbin/service %{name} stop > /dev/null 2>&1
	/sbin/chkconfig --del %{name}
fi


%postun 
/sbin/ldconfig
if [ $1 -ge 1 ]; then
	/sbin/service %{name} condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%dir /var/lib/ibmasm
%doc ibmasm/src/README ibmasm/COPYING
%{_libdir}/*.so.*
%{_sbindir}/ibmsp*
%{_bindir}/evnode
%{_sysconfdir}/rc.d/init.d/ibmasm

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/ibmasm/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 31 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.0-15
- fix license tag

* Mon Mar 24 2008 Adam Jackson <ajax@redhat.com> 3.0-14
- Fix the tarball name to not vary with %%release.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.0-13
- Autorebuild for GCC 4.3

* Thu Jan 4 2007  - konradrzeszutek@sourceforge.net - 3.0-12
- Making -devel RPM own include/ibmasm directory.
- Setting the permissions to be the same for both packages.

* Tue Sep 19 2006 - konradrzeszutek@sourceforge.net - 3.0-11
- Fixing permission in install section.

* Tue Sep 5 2006 - konradrzeszutek@sourceforge.net - 3.0-10
- Fixing -devel rpm lint problems

* Tue Aug 15 2006 - konradrzeszutek@sourceforge.net - 3.0-9
- Scanning PCI for RSA device and if found, turning service on.

* Mon Aug 14 2006 - konradrzeszutek@sourceforge.net - 3.0-8
- Updated spec file per recommendations in RH BZ #193059

* Thu Jul 6 2006 - konradrzeszutek@sourceforge.net - 3.0-7
- Updating files per recommendations in Red Hat BZ #193059 

* Wed Jun 28 2006 - konradrzeszutek@sourceforge.net - 3.0-6
- Updating files to work with sourceforge

* Fri Jun 16 2006 - konradr@redhat.com - 3.0-5
- Fixes to compile cleanly under FC4/FC5.

* Fri May 19 2006 - konradr@redhat.com - 3.0-4
- Initial RHEL4 build.

* Fri May 12 2006 - konradr@redhat.com - 3.0-3
- Cleanup to match FedoraCore guideliness

* Tue May 17 2005 - amax@us.ibm.com 3.0-2
- Release for RHEL4 U4
